## AimeDb server setting
aimedb.server.enable=true
aimedb.server.address=0.0.0.0
aimedb.server.port=22345
## Server host & port return to client when boot up.
## By default the same address and port from the client connection is returned.
## Please notice DIVA won't work with localhost or 127.0.0.1
#allnet.server.host=localhost
#allnet.server.port=80
## Http Server Port
## Only change this if you have a reverse proxy running.
## The game rely on 80 port for boot up command
server.port=80
########## Game specific setting ##########
## Chunithm
## This enables team function if you set team name here. Leave this blank to disable it.
game.chunithm.team-name=
## Logging
spring.servlet.multipart.max-file-size=10MB
spring.servlet.multipart.max-request-size=20MB
## Database Setting
spring.flyway.baseline-on-migrate=true
spring.flyway.locations=classpath:db/migration/{vendor}
########## For Sqlite ##########
spring.datasource.driver-class-name=org.sqlite.JDBC
spring.datasource.url=jdbc:sqlite:data/db.sqlite
spring.datasource.hikari.maximum-pool-size=1
#auto schema update will case sqlite error
spring.jpa.hibernate.ddl-auto=none
spring.jpa.properties.hibernate.dialect=org.sqlite.hibernate.dialect.SQLiteDialect
########## For Mysql ##########
#spring.datasource.driver-class-name=org.mariadb.jdbc.Driver
#spring.datasource.username=
#spring.datasource.password=
#spring.datasource.url=jdbc:mariadb://localhost:3306/?useSSL=false
#spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.MariaDB10Dialect

## You can add any Spring Boot properties below